/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/

#ifndef SCRIPTWINDOW_H
#define SCRIPTWINDOW_H

#include "scriptedit.h"

#include <qmainwindow.h>
class ScriptingEnv;
class QAction;

class ScriptWindow:public QMainWindow
{
Q_OBJECT public:
  ScriptWindow (ScriptingEnv * env);

  public slots:void newScript ();
  void open ();
  void save ();
  void saveAs ();
  void languageChange ();

    signals:void setVisible (bool);

private:
  void closeEvent (QCloseEvent * e);
  void initMenu ();
  void initActions ();
  ScriptEdit *te;

  QString fileName;

  QPopupMenu *file, *edit, *run;
  QAction *actionNew, *actionUndo, *actionRedo, *actionCut, *actionCopy,
    *actionPaste, *actionDelete;
  QAction *actionExecute, *actionExecuteAll, *actionEval, *actionPrint,
    *actionOpen;
  QAction *actionSave, *actionSaveAs;
};

#endif
