#ifndef ALIGNCURVESDIALOG_H
#define ALIGNCURVESDIALOG_H

#include <qvariant.h>
#include <qdialog.h>
#include "worksheet.h"

class QButtonGroup;
class QPushButton;
class QCheckBox;
class QLineEdit;
class QComboBox;
class QSpinBox;
class Graph;

class alignCurvesDialog:public QDialog
{
Q_OBJECT public:
  alignCurvesDialog (QWidget * parent = 0, const char *name = 0, bool modal =
	     FALSE, WFlags fl = 0);
   ~alignCurvesDialog ();

  QPushButton *buttonOk;
  QPushButton *buttonDone;
  QButtonGroup *GroupBox1, *GroupBox2;
  QComboBox *boxMethod;
  QLineEdit *boxLevel;
  QCheckBox *boxSmooth;
  QSpinBox *boxPoints;
  QCheckBox *boxOrigin;

  public slots:
  void accept ();
  void setGraph (Graph * g, const QString &name);
  void methodChanged(int);
  void smoothChanged(bool);

private:
  bool firsttime;
  Graph *graph;
  QString graphname;
  Table *alignedTable;
  MultiLayer *alignedPlot;
  QValueList <int> curves;
};

#endif
