/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef CASCADEDIALOG_H
#define CASCADEDIALOG_H

#include <qvariant.h>
#include <qdialog.h>
#include "worksheet.h"

class QPushButton;
class QLineEdit;
class QComboBox;
class QSpinBox;
class Graph;
class QCheckBox;

class cascadeDialog:public QDialog
{
Q_OBJECT public:
  cascadeDialog (QWidget * parent = 0, const char *name =
                       0, bool modal = FALSE, WFlags fl = 0);
   ~cascadeDialog ();

  QPushButton *buttonApply;
  QPushButton *buttonClose;
  QLineEdit *boxXstep;
  QLineEdit *boxYstep;
  QCheckBox *boxInverse;

  void setGraph (Graph *g, const QString &);
  void accept();

private:
  bool firsttime;
  bool xlogscale,ylogscale;
  Graph *d_graph;
  QString graphname;
  Table *cascadeTable;
  MultiLayer *cascadePlot;
  QValueList <int> curves;
};

#endif
