/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef CONVOLUTIONDIALOG_H
#define CONVOLUTIONDIALOG_H

#include <qvariant.h>
#include <qdialog.h>

class QPushButton;
class QComboBox;
class Graph;
class ColorBox;
class QLineEdit;
class QSpinBox;
class QCheckBox;

class convolutionDialog:public QDialog
{
Q_OBJECT public:
  enum ConvType {ConvFFT=0, DeconvFFT=1, DeconvAndre=2, DeconvGS=3};
  
  convolutionDialog (int method, 
		     QWidget * parent = 0, const char *name =
		     0, bool modal = FALSE, WFlags fl = 0);
  ~convolutionDialog ();

  QPushButton *buttonApply;
  QPushButton *buttonDone;
  QPushButton *buttonCancel; 
  QPushButton *buttonHelp;
  QComboBox *boxSigName;
  QComboBox *boxResName;
  QLineEdit *boxThres;
  QLineEdit *boxCutoff;
  QLineEdit *boxDamping;
  QSpinBox *boxIteration,*boxSmooth;
  QComboBox *boxConstraint;
  ColorBox *boxColor;
  QCheckBox *boxNorm;

public slots:
  void setGraph (Graph * g);
  virtual void languageChange ();
  void convolute();
  void help();
  void cancel();

private:
    Graph *d_graph;
    int curve_index;
    int d_method;
};

#endif
