/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef CURVESDIALOG_H
#define CURVESDIALOG_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QLabel;
class QListBox;
class QListBoxItem;
class QPushButton;
class QComboBox;
class QWidgetList;
class QCheckBox;

class Graph;
class Table;

class curvesDialog:public QDialog
{
Q_OBJECT public:
  curvesDialog (QWidget * parent = 0, const char *name = 0, bool modal =
		FALSE, WFlags fl = 0);
  ~curvesDialog ();

  QSize sizeHint () const;

  QLabel *TextLabel2;
  QPushButton *btnAdd;
  QPushButton *btnRemove;
  QPushButton *btnUp;
  QPushButton *btnDown;
  QPushButton *btnOK;
  QPushButton *btnCancel;
  QPushButton *btnAssociations;
  QPushButton *btnEditFunction;
  QLabel *TextLabel1;
  QListBox *available;
  QListBox *contents;
  QComboBox *boxStyle;
  QCheckBox *boxShowCurrentFolder;

  void initTablesList (QWidgetList * lst)
  {
    tables = lst;
  };
  void setGraph (Graph * graph);

  public slots:Table * findTable (const QString & text);

  void insertCurvesToDialog ();
  void addCurve ();
  bool addCurve (const QString & name);
  void addSelectedCurve ();
  void removeCurves ();
  void removeSelectedCurve ();
  void curveUp();
  void curveDown();
  void clear ();
  void enableRemoveBtn ();
  void deletePopupMenu (QListBoxItem * it, const QPoint & point);
  void addPopupMenu (QListBoxItem * it, const QPoint & point);
  int curveStyle ();
  void showPlotAssociations ();
  void showFunctionDialog ();
  void showCurveBtn (int);
  void setCurveDefaultSettings (int style, int width, int size);
  void showCurrentFolder(bool currentFolder);

signals:
  void showPlotAssociations (int);
  void showFunctionDialog (Graph *, int);

private:
  int selectedCurve, defaultCurveLineWidth, defaultSymbolSize;
  QWidgetList *tables;
  Graph *g;
};

#endif // curvesDialog_H
