/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef ERRDIALOG_H
#define ERRDIALOG_H

#include <qvariant.h>
#include <qdialog.h>

class QLabel;
class QComboBox;
class QGroupBox;
class QRadioButton;
class QLineEdit;
class QPushButton;
class QButtonGroup;

class errDialog:public QDialog
{
Q_OBJECT public:
  errDialog (QWidget * parent = 0, const char *name = 0, bool modal =
	     FALSE, WFlags fl = 0);
   ~errDialog ();

  QLabel *TextLabel1;
  QComboBox *nameLabel, *tableNamesBox, *colNamesBox;
  QGroupBox *GroupBox2;
  QButtonGroup *GroupBox1, *GroupBox3;
  QRadioButton *standardBox, *columnBox;
  QRadioButton *percentBox;
  QLineEdit *valueBox;
  QRadioButton *xErrBox;
  QRadioButton *yErrBox;
  QPushButton *buttonAdd;
  QPushButton *buttonCancel;

  protected slots:virtual void languageChange ();

  public slots:void add ();
  void setCurveNames (const QStringList & names);
  void setSrcTables (QWidgetList * tables);
  void selectSrcTable (int tabnr);

    signals:void options (const QString &, int, const QString &, int);
  void options (const QString &, const QString &, int);

private:
    QWidgetList * srcTables;
};

#endif // ERRDIALOG_H
