/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef EXPORTDIALOG_H
#define EXPORTDIALOG_H

#include <qvariant.h>
#include <qdialog.h>

class QPushButton;
class QCheckBox;
class QComboBox;

class exportDialog:public QDialog
{
Q_OBJECT public:
  exportDialog (QWidget * parent = 0, const char *name = 0, bool modal =
		FALSE, WFlags fl = 0);
   ~exportDialog ();

  QPushButton *buttonOk;
  QPushButton *buttonCancel;
  QPushButton *buttonHelp;
  QCheckBox *boxNames;
  QCheckBox *boxSelection;
  QCheckBox *boxAllTables;
  QComboBox *boxSeparator;
  QComboBox *boxTable;

  public slots:void setColumnSeparator (const QString & sep);
  void setTableNames (const QStringList & names);
  void setActiveTableName (const QString & name);
  void enableTableName (bool ok);

  protected slots:virtual void languageChange ();
  void accept ();
  void help ();

    signals:void exportTable (const QString &, const QString &, bool, bool);
  void exportAllTables (const QString &, bool, bool);

};

#endif // exportDialog_H
