/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef MYFILESDIALOGS_H
#define MYFILESDIALOGS_H

#include <qfiledialog.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qimage.h>
#include <qmessagebox.h>

class ImportFilesDialog:public QFileDialog
{
public:
  QComboBox * importType;

  ImportFilesDialog (bool importTypeEnabled, QWidget * parent,
		     const char *name);
  int importFileAs ()
  {
    return importType->currentItem ();
  };
};

class GraphExportDialog:public QFileDialog
{
Q_OBJECT public:
  QCheckBox * boxOptions;

  GraphExportDialog (QWidget *, const char *);
  bool showExportOptions ()
  {
    return boxOptions->isChecked ();
  };

  public slots:void showOptionsBox (const QString & filter);
};

#endif
