/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef FILTERDIALOG_H
#define FILTERDIALOG_H

#include <qvariant.h>
#include <qdialog.h>

class QPushButton;
class QLineEdit;
class QComboBox;
class QCheckBox;
class Graph;
class ColorBox;

class filterDialog:public QDialog
{
Q_OBJECT public:
  filterDialog (int type, QWidget * parent = 0, const char *name =
		0, bool modal = FALSE, WFlags fl = 0);
   ~filterDialog ();

  enum FilterType
  { LowPass = 1, HighPass = 2, BandPass = 3, BandBlock = 4, BandInterp = 5 };

  QPushButton *buttonFilter;
  QPushButton *buttonCancel;
  QComboBox *boxName;
  QCheckBox *boxOffset,*boxResample;
  QLineEdit *boxStart;
  QLineEdit *boxEnd;
  ColorBox *boxColor;

  public slots:void setGraph (Graph * g);
  virtual void languageChange ();
  void filter ();

private:
  Graph *d_graph;
  int filter_type;
};

#endif
