/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef INTDIALOG_H
#define INTDIALOG_H

#include <qvariant.h>
#include <qdialog.h>

class QButtonGroup;
class QPushButton;
class QCheckBox;
class QLineEdit;
class QComboBox;
class QSpinBox;
class Graph;

class intDialog:public QDialog
{
Q_OBJECT public:
  intDialog (QWidget * parent = 0, const char *name = 0, bool modal =
	     FALSE, WFlags fl = 0);
   ~intDialog ();

  QPushButton *buttonOk;
  QPushButton *buttonCancel;
  QPushButton *buttonHelp;
  QButtonGroup *GroupBox1, *GroupBox2;
  QCheckBox *boxShowFormula;
  QComboBox *boxName;
  QLineEdit *boxStart;
  QLineEdit *boxEnd;

  public slots:virtual void languageChange ();
  void accept ();
  void setGraph (Graph * g);
  void activateCurve (int index);
  void help ();
  void changeDataRange ();

private:
    Graph *d_graph;
};

#endif
