/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef MATRIXFILTERDIALOG_H
#define MATRIXFILTERDIALOG_H

#include <qvariant.h>
#include <qdialog.h>

class QPushButton;
class QLineEdit;
class QComboBox;
class QCheckBox;
class Matrix;

class matrixFilterDialog:public QDialog
{
Q_OBJECT public:
  matrixFilterDialog (QWidget * parent = 0, const char *name = 0,
		      bool modal = FALSE, WFlags fl = 0);
  ~matrixFilterDialog ();

  enum FilterType
  { LowPass = 0, HighPass = 1, Gauss = 2, Lorentz = 3 };

  QPushButton *buttonFilter;
  QPushButton *buttonCancel;
  QComboBox *boxName;
  QComboBox *boxMethod;
  QLineEdit *boxXFreq;
  QLineEdit *boxYFreq;

public slots:
  virtual void languageChange ();
  void filter ();
  void setMatrixNames( QStringList names, int index );
};

#endif
