/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef MVALUESDIALOG_H
#define MVALUESDIALOG_H

#include "Scripting.h"

#include <qvariant.h>
#include <qdialog.h>

class QComboBox;
class QTextEdit;
class ScriptEdit;
class QSpinBox;
class QPushButton;
class Matrix;

class matrixValuesDialog:public QDialog, public scripted
{
Q_OBJECT public:
  matrixValuesDialog (ScriptingEnv * env, QWidget * parent =
		      0, const char *name = 0, bool modal = FALSE, WFlags fl =
		      0);
   ~matrixValuesDialog ();

  QSize sizeHint () const;

  void customEvent (QCustomEvent * e);

  QComboBox *functions;
  QPushButton *PushButton3;
  QPushButton *btnOk, *btnAddCell;
  QPushButton *btnCancel;
  QPushButton *btnHelp;
  ScriptEdit *commandes;
  QTextEdit *explain;
  QSpinBox *startRow, *endRow, *startCol, *endCol;
  QPushButton *btnApply;

  public slots:void accept ();
  bool apply ();
  void setFunctions ();
  void addCell ();
  void insertFunction ();
  void insertExplain (int index);
  void setMatrix (Matrix * m);
  void help();

private:
    Matrix * matrix;
};

#endif //
