/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef NRUTIL_H
#define NRUTIL_H

#define NR_END 1
#define FREE_ARG char*
#define TINY 1.0e-20

void nrerror (char error_text[]);
double **matrix (int nrl, int nrh, int ncl, int nch);
void free_matrix (double **m, int nrl, int nrh, int ncl, int nch);
double *vector (int nl, int nh);
void free_vector (double *v, int nl, int nh);
size_t *ivector (int nl, int nh);
void free_ivector (size_t * v, int nl, int nh);
int *intvector (int nl, int nh);
void free_intvector (int *v, int nl, int nh);

//used for smoothing
void lubksb (double **a, int n, int *indx, double b[]);
void ludcmp (double **a, int n, int *indx, double *d);
void savgol (double *c, int np, int nl, int nr, int ld, int m);
void smooth_vect( double *, int, int, int, int, double *);
void smooth_ave( double *, int, int, double *);
void polint (double xa[], double ya[], int n, double x, double *y,
	     double *dy);

#endif // NRUTIL_H
