/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef SCRIPTEDIT_H
#define SCRIPTEDIT_H

#include <qtextedit.h>
#include "Scripting.h"

class QAction;
class QPopupMenu;

class ScriptEdit:public QTextEdit, public scripted
{
Q_OBJECT public:
  ScriptEdit (ScriptingEnv * env, QWidget * parent = 0, const char *name = 0);
   ~ScriptEdit ();

  void customEvent (QCustomEvent *);

  public slots:void execute ();
  void executeAll ();
  void evaluate ();
  void print ();
  QString exportASCII ();
  QString importASCII (const QString & file = QString::null);

  void insertFunction (const QString &);
  void insertFunction (int);
  void setContext (QObject * context)
  {
    myScript->setContext (context);
  }
  void scriptPrint (const QString &);
  void updateIndentation ();

protected:
  QPopupMenu * createPopupMenu (const QPoint & pos);

private:
  Script * myScript;
  QAction *actionExecute, *actionExecuteAll, *actionEval, *actionPrint,
    *actionImport, *actionExport;
  QPopupMenu *functionsMenu;
  bool firstOutput;

  private slots:void insertErrorMsg (const QString & message);
};

#endif
