/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#include "shrinkMatrixDialog.h"
#include "application.h"

#include <qpushbutton.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qbuttongroup.h>
#include <qspinbox.h>
#include <qhbox.h>

shrinkMatrixDialog::shrinkMatrixDialog (QWidget * parent, const char *name,
					bool modal, WFlags fl):
QDialog (parent, name, modal, fl)
{
  if (!name)
    setName ("shrinkMatrixDialog");
  setSizePolicy (QSizePolicy
                 ((QSizePolicy::SizeType) 0, (QSizePolicy::SizeType) 0, 0, 0,
                  sizePolicy ().hasHeightForWidth ()));
  QButtonGroup *GroupBox1 =
    new QButtonGroup (4, QGroupBox::Horizontal, tr ("Averaging Steps"), this,
                      "GroupBox1");
  new QLabel (tr ("Column Step"), GroupBox1, "TextLabel2", 0);
  boxCols = new QSpinBox (1, 100, 1, GroupBox1, "boxCols");

  new QLabel (tr ("Row Step"), GroupBox1, "TextLabel2", 0);
  boxRows = new QSpinBox (1, 100, 1, GroupBox1, "boxRows");

  QHBox *hbox1 = new QHBox (this, "hbox1");
  hbox1->setMargin (5);
  hbox1->setSpacing (5);

  buttonOk = new QPushButton ("OK", hbox1, "buttonOk");
  buttonOk->setDefault (TRUE);

  buttonCancel = new QPushButton ("Cancel", hbox1, "buttonCancel");
  QVBoxLayout *hlayout = new QVBoxLayout (this, 5, 5, "hlayout");

  hlayout->addWidget (GroupBox1);
  hlayout->addWidget (hbox1);

  // signals and slots connections
  connect (buttonOk, SIGNAL (clicked ()), this, SLOT (accept ()));
  connect (buttonCancel, SIGNAL (clicked ()), this, SLOT (reject ()));
}

shrinkMatrixDialog::~shrinkMatrixDialog()
{
}

void
shrinkMatrixDialog::accept ()
{
  ApplicationWindow *app = (ApplicationWindow *)this->parent();
  app->shrinkMatrix( boxCols->value(), boxRows->value() );
  close();
}
