/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef SINEFITDIALOG_H
#define SINEFITDIALOG_H

#include <qvariant.h>
#include <qdialog.h>

class QButtonGroup;
class QPushButton;
class QLineEdit;
class QComboBox;
class QLabel;
class Graph;
class ColorBox;

class sineFitDialog:public QDialog
{
Q_OBJECT public:
  sineFitDialog (QWidget * parent = 0, const char *name =
		  0, bool modal = FALSE, WFlags fl = 0);
   ~sineFitDialog ();

  QPushButton *buttonFit;
  QPushButton *buttonCancel;
  QButtonGroup *GroupBox1, *GroupBox2;
  QComboBox *boxName;
  QLineEdit *boxAmp;
  QLineEdit *boxFreq;
  QLineEdit *boxPhase;
  QLineEdit *boxOfs;
  QLineEdit *boxStart;
  QLineEdit *boxEnd;
  ColorBox *boxColor;

public slots:
  virtual void languageChange ();
  void fit ();
  void setGraph (Graph * g);
  void activateCurve(int index);
  void changeDataRange();
  void guessInitialParam();

signals:
  void options (const QString &, double, double, double, double, int);
  void options (const QString &, double, double, double, int);
  void options3 (const QString &, double, double, double, double, double, int);

private:
  Graph *d_graph;
};

#endif
