/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef SORTDIALOG_H
#define SORTDIALOG_H

#include <qvariant.h>
#include <qdialog.h>
#include <qvaluelist.h>

class QButtonGroup;
class QPushButton;
class QCheckBox;
class QLineEdit;
class QComboBox;

class sortDialog:public QDialog
{
Q_OBJECT public:
  sortDialog (QWidget * parent = 0, const char *name = 0, bool modal =
	      FALSE, WFlags fl = 0);
   ~sortDialog ();

  QPushButton *buttonOk;
  QPushButton *buttonCancel;
  QPushButton *buttonHelp;
  QButtonGroup *GroupBox1, *GroupBox2;
  QComboBox *boxType;
  QComboBox *boxOrder;
  QComboBox *columnsList;


  public slots:virtual void languageChange ();
  void accept ();
  void insertColumnsList (const QStringList & cols);
  void changeType (int index);

    signals:void sort (int, int, const QString &);

};

#endif // EXPORTDIALOG_H
