/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef SUBTBACKDIALOG_H
#define SUBTBACKDIALOG_H

#include <qvariant.h>
#include <qdialog.h>

class QButtonGroup;
class QPushButton;
class QCheckBox;
class QLineEdit;
class QComboBox;
class QSpinBox;
class Graph;
class ColorBox;
class QwtPlotCurve;

class subtBackDialog:public QDialog
{
Q_OBJECT public:
  subtBackDialog (QWidget * parent = 0, const char *name = 0, bool modal =
		    FALSE, WFlags fl = 0);
   ~subtBackDialog ();

  QPushButton *buttonApply;
  QPushButton *buttonCancel;
  QPushButton *buttonRecall;
  QPushButton *buttonHelp;
  QButtonGroup *GroupBox1, *GroupBox2;
  QComboBox *boxName, *boxType;
  QSpinBox *boxOrder, *boxNumData;
  QLineEdit *boxStart;
  QLineEdit *boxEnd;

public slots:
  virtual void languageChange ();
  void apply ();
  void setGraph (Graph * g);
  void activateCurve (int index);
  void changeDataRange ();
  void changeType(int);
  void guessInitialFitParam(QwtPlotCurve *, int, QValueList <double> &,
			    QMemArray <double> &);
  void updateDataNum(int);
  void help();
  void recallParams();

signals:
  void updateTableColumn (const QString &, QMemArray <double> &);

private:
  Graph *d_graph;
  int d_ranges;
  QPtrList <QWidget> labels;
  QPtrList <QWidget> values;
};

#endif // EXPORTDIALOG_H
