/***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor,                    *
 *   Boston, MA  02110-1301  USA                                           *
 *                                                                         *
 ***************************************************************************/
#ifndef VALUESDIALOG_H
#define VALUESDIALOG_H

#include "Scripting.h"

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QComboBox;
class QTextEdit;
class QSpinBox;
class QPushButton;
class QLabel;
class Table;
class ScriptingEnv;
class ScriptEdit;

class setColValuesDialog:public QDialog, public scripted
{
Q_OBJECT public:
  setColValuesDialog (ScriptingEnv * env, QWidget * parent =
		      0, const char *name = 0, bool modal = FALSE, WFlags fl =
		      0);
   ~setColValuesDialog ();

  QSize sizeHint () const;
  void customEvent (QCustomEvent * e);

  QComboBox *functions;
  QComboBox *boxColumn;
  QPushButton *PushButton3;
  QPushButton *PushButton4;
  QPushButton *btnOk;
  QPushButton *btnCancel;
  QPushButton *btnHelp;
  ScriptEdit *commandes;
  QTextEdit *explain;
  QSpinBox *start, *end;
  QPushButton *buttonPrev, *buttonNext, *addCellButton, *btnApply;
  QLabel *colNameLabel;

  public slots:void accept ();
  bool apply ();
  void prevColumn ();
  void nextColumn ();
  void setFunctions ();
  void insertFunction ();
  void insertCol ();
  void insertCell ();
  void insertExplain (int index);
  void setTable (Table * w);
  void updateColumn (int sc);
  void help();

private:
    Table * table;
};

#endif //
